Just Published! Threat Report: Exposing Malware in Linux-Based Multi-Cloud Environments | Download Now

Carbon Black Cloud Sensor: Unable to upgrade Error - Incorrect parameters for GPO upgrade.

Carbon Black Cloud Sensor: Unable to upgrade Error - Incorrect parameters for GPO upgrade.

Environment

  • Carbon Black Cloud Console: January '18 release and newer
  • Carbon Black Cloud Sensor: 3.2.x.x and above
  • Microsoft Windows: All Supported Versions
  • Initial Deployment via Group Policy Object (GPO)

Symptoms

  • Sensor originally installed using Group Policy Object (GPO)
  • Upgrade from Web Console fails, current version not upgraded
  • Manual upgrade fails, current version not upgraded
  • The msi install log displays the following error 
CA:InstallPreCheck:  Error 0x8000ffff: Incorrect parameters for GPO upgrade.

Cause

CB Defense Sensor 3.2.x.x introduced additional checks prior to upgrade to verify that sensors initially installed via GPO are configured by GPO to allow updates the be pushed from the Cloud or installed manually.

Resolution

There are two options to update sensors initially deployed via GPO


Additional Notes

This change was made to prevent the issue described in Cb Defense: Sensor Uninstalled After Attempted Upgrade (GPO)

Related Content


Was this article helpful? Yes No
100% helpful (1/1)
Article Information
Author:
Creation Date:
‎04-16-2018
Views:
3675
Contributors